import * as React from 'react';
import { AlertProps } from 'react-bootstrap/Alert';
import { IErrorAlertProps as IErrorAlertPropsCore } from '@reactionable/core';
export declare type IErrorAlertProps = IErrorAlertPropsCore & AlertProps & {};
export declare type ErrorAlertComponent = React.FC<IErrorAlertProps>;
export declare const ErrorAlert: ErrorAlertComponent;
export declare const useErrorAlert: (props?: IErrorAlertProps | undefined) => import("@reactionable/core").IUseErrorAlert;
