"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Alert_1 = tslib_1.__importDefault(require("react-bootstrap/Alert"));
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var core_1 = require("@reactionable/core");
exports.ErrorAlert = function (_a) {
    var children = _a.children, props = tslib_1.__rest(_a, ["children"]);
    var alertContent;
    if (core_1.isIError(children)) {
        alertContent = React.createElement(React.Fragment, null,
            React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faExclamationCircle }),
            " ",
            children.message);
    }
    else {
        alertContent = React.createElement(React.Fragment, null, children);
    }
    return React.createElement(Alert_1.default, tslib_1.__assign({ variant: "danger" }, props), alertContent);
};
exports.useErrorAlert = function (props) {
    return core_1.useErrorAlert(tslib_1.__assign({ Component: exports.ErrorAlert }, props));
};
//# sourceMappingURL=ErrorAlert.js.map